Subject: RE: [BEHAVE] ICMP type 3, code 13, one more time

From: "Dan Wing" <[email-masked]>
Date: Fri, 1 Jun 2007 16:29:45 -0700

Yes, it appears to be the WG's consensus that ICMP type 3, error code 13 is
the way to go forward.

-d

> -----Original Message-----
> From: Pyda Srisuresh [mailto:[email-masked]] 
> Sent: Sunday, May 27, 2007 12:10 AM
> To: Dan Wing; 'Cullen Jennings'; 'Behave WG'
> Subject: RE: [BEHAVE] ICMP type 3, code 13, one more time 
> 
> Dan,
> 
> From the e-mails below, it seems, the use of ICMP type 3, 
> error code 13 for
> REQ-8 has WG consensus. If my read is incorrect, please summarize the
> consensus. I would appreciate that.
> 
> This is the last of the outstanding comments on the draft, 
> AFAIK. Once I have
> the closure on this, I will be happy to get the next rev of 
> the draft. I
> believe, the next rev of the draft should be ready for a WGLC. 
> 
> Thanks.
> 
> regards,
> suresh 
> 
> 
> --- Dan Wing <[email-masked]> wrote:
> 
> >  
> > 
> > > -----Original Message-----
> > > From: Cullen Jennings [mailto:[email-masked]] 
> > > Sent: Thursday, May 03, 2007 3:07 PM
> > > To: Behave WG
> > > Subject: [BEHAVE] ICMP type 3, code 13, one more time 
> > > 
> > > 
> > > I was having lunch today with Srisuresh and we came to an 
> > > interesting  
> > > inside on how to resolve this. The important thing is not 
> if a NAT  
> > > thinks it's a router, host, or power tool. The important 
> thing is  
> > > what does an applications that receives the ICMP error does. One  
> > > observation is that it might be that you want error codes 
> > > sent to the inside to be different than one sent to the outside. 
> > 
> > When the NAT can't create a new mapping, the ICMP error 
> would only be
> > sent to the inside.  Afterall, it's not possible to even create a 
> > new mapping from the outside.
> > 
> > > The other  
> > > observation is that if 9,10,13 are all soft errors - do 
> we want a  
> > > soft or hard error here?
> > 
> > A NAT that runs out of resources (say, runs out of UDP mappings) 
> > seems a transient event on par with a routing error such as 
> > 'network unreachable' (ICMP type=3, code=0), which is classified 
> > as a soft error.
> > 
> > (as individual.)
> > 
> > -d
> > 
> > 
> > _______________________________________________
> > Behave mailing list
> > [email-masked]
> > https://www1.ietf.org/mailman/listinfo/behave
> > 
> 

_______________________________________________
Behave mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/behave